package com.glxp.udidl.admin.service.chsapi;

import cn.hutool.core.bean.BeanUtil;
import com.glxp.udidl.admin.res.chs.YbHcflResponse;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.glxp.udidl.admin.dao.chs.YbHcflMapper;
import com.glxp.udidl.admin.entity.chs.YbHcflEntity;

import javax.annotation.Resource;
import java.util.List;

@Service
public class ChsYbHcflService extends ServiceImpl<YbHcflMapper, YbHcflEntity> {

    @Resource
    ChsYbChsHttpClient ybChsHttpClient;
    @Resource
    YbHcflMapper ybHcflMapper;

    /**
     * 更新数据库的YbHcf列表数据
     * 以一定大小页面 分批对比数据库 医用耗材分类代码 是否存在 不存在进行新增
     */
    public void updateYbHcflList(){
        Integer pageNum = 1;
        Integer pageSize = 200;

        //1、获取数据
        YbHcflResponse ybHcflResponse = ybChsHttpClient.getYbHcflList(pageNum, pageSize);
        Integer total = ybHcflResponse.getTotal();
        //处理第一批数据
        processUpdates(ybHcflResponse);
        //处理后续数据
        if (total>pageNum){
            for (int i = 2; i <= total ; i++) {
                System.out.println("更新数据库的YbHcf列表数据"+ i);
                processUpdates(ybChsHttpClient.getYbHcflList(i, pageSize));
            }
        }
    }

    /**
     * 处理比对更新
     * @param ybHcflResponse
     */
    private void processUpdates(YbHcflResponse ybHcflResponse) {
        List<YbHcflResponse.RowsDTO> list = ybHcflResponse.getRows();
        List<YbHcflEntity> ybHcflEntities = BeanUtil.copyToList(list, YbHcflEntity.class);
        ybHcflMapper.batchSaveOrUpdateBySpecificationCode(ybHcflEntities);
    }


}
