package com.glxp.udidl.admin.service.tyapi;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.glxp.udidl.admin.dao.tyapi.TyContactCallMapper;
import com.glxp.udidl.admin.dao.tyapi.TyContactInfoMapper;
import com.glxp.udidl.admin.entity.tyapi.TyContactCallEntity;
import com.glxp.udidl.admin.entity.tyapi.TyContactInfoEntity;
import com.glxp.udidl.admin.req.tyapi.TyContactRequest;
import com.glxp.udidl.admin.res.tyapi.ContactResponse;
import com.glxp.udidl.admin.res.tyapi.TyContactResponse;
import com.glxp.udidl.admin.util.BeanCopyUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class TyContactInfoService extends ServiceImpl<TyContactInfoMapper, TyContactInfoEntity> {


    @Resource
    TyDlHttpClient tyDlHttpClient;
    @Resource
    TyContactInfoMapper tyContactInfoMapper;
    @Resource
    TyContactCallMapper tyContactCallMapper;


    public List<TyContactResponse> download(String company) {
        if (tyContactInfoMapper.exists(new QueryWrapper<TyContactInfoEntity>().eq("supplierName", company))) {
            log.error(company + "企业联系方式已存在重复下载！");
        } else {
            ContactResponse contactResponse = tyDlHttpClient.getContact(company);
            if (contactResponse.getErrorCode() == 0) {
                ContactResponse.ResultDTO resultDTO = contactResponse.getResult();
                TyContactInfoEntity tyContactInfoEntity = new TyContactInfoEntity();
                BeanUtil.copyProperties(resultDTO, tyContactInfoEntity);
                tyContactInfoEntity.setSupplierName(company);
                tyContactInfoMapper.insert(tyContactInfoEntity);
                List<ContactResponse.ResultDTO.AllCallsDTO> allCallsDTOS = resultDTO.getAllCalls();
                if (CollUtil.isNotEmpty(allCallsDTOS)) {
                    List<TyContactCallEntity> tyContactCallEntities = BeanCopyUtils.copyList(allCallsDTOS, TyContactCallEntity.class);
                    if (CollUtil.isNotEmpty(tyContactCallEntities)) {
                        for (TyContactCallEntity tyContactCallEntity : tyContactCallEntities) {
                            tyContactCallEntity.setContactIdFk(tyContactInfoEntity.getId());
                            tyContactCallEntity.setSupplierName(company);
                        }
                        tyContactCallMapper.insertBatch(tyContactCallEntities);
                    }
                }
            }
        }
        TyContactRequest tyContactRequest = new TyContactRequest();
        tyContactRequest.setSupplierName(company);
        List<TyContactResponse> tyContactInfoEntities = tyContactInfoMapper.findGroup(tyContactRequest);
        return tyContactInfoEntities;

    }
}
