package com.glxp.udidl.admin.service.udchs.impl;


import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.glxp.udidl.admin.dao.chs.YbDrugMapper;
import com.glxp.udidl.admin.dao.chs.YbHcflMapper;
import com.glxp.udidl.admin.dto.udchs.BaseParam;
import com.glxp.udidl.admin.entity.chs.YbDrug;
import com.glxp.udidl.admin.entity.chs.YbHcflEntity;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.res.PageSimpleResponse;
import com.glxp.udidl.admin.res.chs.YbDrugResponse;
import com.glxp.udidl.admin.service.chsapi.ChsYbChsHttpClient;
import com.glxp.udidl.admin.service.udchs.YbDrugService;
import com.glxp.udidl.admin.service.udchs.YbHcflService;
import com.glxp.udidl.admin.util.ResultVOUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class YbDrugServiceImpl implements YbDrugService {

    @Autowired
    private YbDrugMapper mapper;
    @Resource
    ChsYbChsHttpClient ybChsHttpClient;
    @Resource
    YbDrugMapper ybDrugMapper;

    @Override
    public BaseResponse getList(BaseParam param) {
        PageHelper.startPage(param.getPage(), param.getLimit());
        List<YbDrug> list = mapper.list(param);
        PageInfo<YbDrug> pageInfo = new PageInfo<>(list);
        PageSimpleResponse<YbDrug> pageSimpleResponse = new PageSimpleResponse<>();
        if (CollUtil.isEmpty(list)){
            String goodsCode = param.getGoodsCode();
            if (StrUtil.isNotBlank(goodsCode)){
                YbDrugResponse ybDrugResponse = ybChsHttpClient.getYbDrugList(1, 1,goodsCode);
                List<YbDrugResponse.RowsDTO> lists = ybDrugResponse.getRows();
                List<YbDrug> ybHcflEntities = BeanUtil.copyToList(lists, YbDrug.class);
                ybDrugMapper.batchSaveOrUpdateByGoodsCode(ybHcflEntities);
                pageSimpleResponse.setTotal(Long.valueOf(lists.size()));
                pageSimpleResponse.setList(ybHcflEntities);
            }else {
                pageSimpleResponse.setTotal(pageInfo.getTotal());
                pageSimpleResponse.setList(list);
            }
        }else {
            pageSimpleResponse.setTotal(pageInfo.getTotal());
            pageSimpleResponse.setList(list);
        }
        return ResultVOUtils.success(pageSimpleResponse);
    }
}
